/******************************************************
 Uygulama Ad      : PIC16F877 ile Led Yakma ve Sndrme Program
 Programn Amac   : RB0 pinine bal LED'i belli aralklarla yakp sndrmek
 PIC PROG/DEKA     : Port B jumper' LED konumunda olmal
 Yazan             : SERDAR EK
*******************************************************/

#include <16f877.h>     // Kullanlacak denetleyicinin balk dosyas tantlyor.

#fuses XT,NOWDT,NOPROTECT,NOBROWNOUT,NOLVP,NOPUT,NOWRT,NODEBUG,NOCPD // Denetleyici konfigrasyon ayarlar

#use delay(clock=4000000)   // Gecikme fonksiyonu iin kullanlan osilatr frekans belirtiliyor

#use fast_io(b) // Port ynlendirme komutlar B portu iin geerli

/********* ANA PROGRAM FONKSYONU********/

void main ()
{
   setup_psp(PSP_DISABLED);        // PSP birimi devre d
   setup_timer_1(T1_DISABLED);     // T1 zamanlaycs devre d
   setup_timer_2(T2_DISABLED,0,1); // T2 zamanlaycs devre d
   setup_adc_ports(NO_ANALOGS);    // ANALOG giri yok
   setup_adc(ADC_OFF);             // ADC birimi devre d
   setup_CCP1(CCP_OFF);            // CCP1 birimi devre d
   setup_CCP2(CCP_OFF);            // CCP2 birimi devre d

   set_tris_b(0x00);    // B portu komple k olarak ynlendiriliyor

   output_b(0x00);        // B portu k komple sfr yaplyor.

   basla:               // Etiket ismi

   output_high(pin_b0);  // RB0 pini k lojik-1 yaplyor
   delay_ms(500);        // 500 ms gecikme veriliyor
   output_low(pin_b0);   // RB0 pini k lojik-1 yaplyor
   delay_ms(500);        // 500 ms gecikme veriliyor

   goto basla;           // basla etiketine dallanlyor
}